Bug 225428 - www/rubygem-rails4 rubygem-passenger dependency now has flavors
Summary: www/rubygem-rails4 rubygem-passenger dependency now has flavors
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dan Langille
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-24 13:07 UTC by Jonas Palm
Modified: 2018-03-20 01:33 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (ruby)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jonas Palm 2018-01-24 13:07:17 UTC
Poudriere's warning:
Warning: www/rubygem-rails4 dependency on www/rubygem-passenger has wrong PKGNAME of 'rubygem-passenger' but should be 'rubygem-passenger-apache'

And in the Makefile:
PASSENGER_RUN_DEPENDS=  rubygem-passenger>=2.2.15:www/rubygem-passenger

probably should be:
PASSENGER_RUN_DEPENDS=  rubygem-passenger-${FLAVOR}>=2.2.15:www/rubygem-passenger@${FLAVOR}
Comment 1 Sunpoet Po-Chuan Hsieh freebsd_committer 2018-02-16 15:20:13 UTC
It should be fixed in r460140 (bug #225465).
Comment 2 Steve Wills freebsd_committer 2018-02-16 17:02:05 UTC
Do you use the passenger option of the www/rubygem-rails4 port? I'm wondering how useful the option is and if we can remove it.
Comment 3 Jonas Palm 2018-02-19 11:16:57 UTC
The fix doesn't seem to be enough:
PASSENGER_RUN_DEPENDS=  rubygem-passenger-*>=2.2.15:www/rubygem-passenger
Causes poudriere to install www/rubygem-passenger with the default flavor (apache) which in turn then conflicts with the nginx flavoured port that I want to use.
I think it's necessary to add flavors to this port as well.

I'm using the passenger option and this rails port to run redmine via passenger via nginx.
Comment 4 Steve Wills freebsd_committer 2018-02-19 14:21:30 UTC
(In reply to Jonas Palm from comment #3)
I'm wondering if the better solution is to remove the passenger option from rails4 and just have you install the web server based on your needs. What do you think?
Comment 5 Jonas Palm 2018-02-20 10:06:16 UTC
That would be fine with me.

www/redmine has the same problem, I've opened another bug report: #226058
Comment 6 commit-hook freebsd_committer 2018-03-20 01:31:37 UTC
A commit references this bug:

Author: swills
Date: Tue Mar 20 01:31:29 UTC 2018
New revision: 465053
URL: https://svnweb.freebsd.org/changeset/ports/465053

Log:
  www/rubygem-rails4: Remove passenger option

  It isn't really needed.

  PR:		225428

Changes:
  head/www/rubygem-rails4/Makefile
Comment 7 Steve Wills freebsd_committer 2018-03-20 01:33:04 UTC
Fix committed